## org.jgroups.persistence
Class CannotConnectException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.jgroups.persistence.CannotConnectException

All Implemented Interfaces:
  java.io.Serializable

    public class CannotConnectException

extends java.lang.Exception

Author:
  Mandar Shinde This exception inherits the Exception class and is used in cases where the Persistence Storage cannot be connected to for any purpose.
See Also:
  Serialized Form

Field Summary
`java.lang.String` `reason`
`java.lang.Throwable` `t` members are made available so that the top level user can dump appropriate members on to his stack trace

Constructor Summary
`CannotConnectException(java.lang.Exception t, java.lang.String reason)`
`CannotConnectException(java.lang.Throwable t, java.lang.String reason)`

Method Summary
`java.lang.String` `toString()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### t

    public java.lang.Throwable t

  members are made available so that the top level user can dump appropriate members on to his stack trace

### reason

    public java.lang.String reason

Constructor Detail

### CannotConnectException

    public CannotConnectException(java.lang.Exception t,
                                  java.lang.String reason)

Parameters:
  `t` -
  `reason` - implementor-specified runtime reason

### CannotConnectException

    public CannotConnectException(java.lang.Throwable t,
                                  java.lang.String reason)

Parameters:
  `t` -
  `reason` - implementor-specified runtime reason

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Throwable`
  Returns:
    String;

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.